Bug 188019 - kdelibs: --enable-inotify (--disable-libfam)
kdelibs: --enable-inotify (--disable-libfam)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 08:54 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.5.3-8.fc6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 12:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-04-05 08:54:51 EDT
You may recall, on the kde-packagers list awhile, it was (strongly) suggested
that enabling kdelibs native inotify support is much preferred than relying on
gamin.

I tried this, and it worked to enable kdelibs' inotify support (though I haven't
had a chance to test out how well it works yet).

Just add
BuildRequires: kernel-devel

and before %configure:

export CPPFLAGS="$CPPFLAGS -I$(find /usr/src/kernels/*/include/linux/inotify.h
-print | sed -e 's|linux/inotify.h||' | head -1 )"

And of course, and do 
%configure --enable-inotify --disable-libfam
Comment 1 Ngo Than 2006-05-16 07:21:00 EDT
The old version of gamin does not have inotify back-end but the new one in FC5
has already this feature. I don't see the necessity to disable gamin.
Comment 2 Rex Dieter 2006-05-16 07:37:19 EDT
Did you not read the same kde-packagers list?

"--enable-inotify is default if you have recent enough kernel headers.
What you would want instead is --disable-libfam - especially if you're sure 
you will have gamin and not the real fam. gamin has exactly 0 advantage 
over the builtin implementation."

Besides, what about FC-4?
Comment 3 Rex Dieter 2006-05-24 10:51:40 EDT
See also bug #192959 (glibc-kernheaders: include inotify.h)

Don't care about FC-4 anymore, eh?  (:
Comment 4 Ngo Than 2006-05-24 11:11:27 EDT
i have talked with gamin upstream maintainer and he does not object the dropping
gamin in kdelibs. So i will enable it after the bug #192959 is fixed!
Comment 5 Rex Dieter 2006-05-24 11:19:45 EDT
Thanks.  
Comment 6 Petr Rockai 2006-07-17 08:20:35 EDT
I can do that, do we still need dnotify when we already have inotify? I'd 
throw that out and replace it with --enable-inotify and --disable-libfam. 
It should also work with glibc-kernheaders (without kernel-devel) now, 
although inotify headers seems to cause problems on ia64 for me...
Comment 7 Petr Rockai 2006-07-17 09:19:46 EDT
Oookey, seems that inotify fixed itself on ia64 in the meantime, at least 
dovecot passed again, so i will go ahead as soon as i have some ACK 
regarding removal of "--enable-dnotify" that's currently in the configure 
line.
Comment 8 Petr Rockai 2006-07-17 09:25:10 EDT
Hmm, i have just checked for myself,
kio/kio/kdirwatch.cpp,     287   supports_dnotify = !supports_inotify;
so i keep in both, it should do no harm and should make KDE work better 
with older kernels... Not that we have any, but anyway.

Note You need to log in before you can comment on or make changes to this bug.